### A free/open-source library for quantitative finance

Public Member Functions
SymmetricSchurDecomposition Class Reference

symmetric threshold Jacobi algorithm. More...

`#include <ql/math/matrixutilities/symmetricschurdecomposition.hpp>`

List of all members.

## Public Member Functions

| SymmetricSchurDecomposition (const Matrix &s)
const Array & | eigenvalues () const
const Matrix & | eigenvectors () const

## Detailed Description

symmetric threshold Jacobi algorithm.

Given a real symmetric matrix S, the Schur decomposition finds the eigenvalues and eigenvectors of S. If D is the diagonal matrix formed by the eigenvalues and U the unitarian matrix of the eigenvectors we can write the Schur decomposition as

where is the standard matrix product and is the transpose operator. This class implements the Schur decomposition using the symmetric threshold Jacobi algorithm. For details on the different Jacobi transfomations see "Matrix computation," second edition, by Golub and Van Loan, The Johns Hopkins University Press

Tests:
  the correctness of the returned values is tested by checking their properties.

## Constructor & Destructor Documentation

SymmetricSchurDecomposition | ( | const Matrix & | s | ) |

Precondition:
  s must be symmetric